Package owl.translations.ltl2ldba.breakpointfree

## Class DegeneralizedAcceptingComponentBuilder

- java.lang.Object
- - owl.translations.ltl2ldba.AbstractAcceptingComponentBuilder<DegeneralizedBreakpointFreeState,BuchiAcceptance,FGObligations>
  - - owl.translations.ltl2ldba.breakpointfree.DegeneralizedAcceptingComponentBuilder

- All Implemented Interfaces:
    `MutableAutomatonBuilder<Jump<FGObligations>,DegeneralizedBreakpointFreeState,BuchiAcceptance>`

      public final class DegeneralizedAcceptingComponentBuilder
      extends AbstractAcceptingComponentBuilder<DegeneralizedBreakpointFreeState,BuchiAcceptance,FGObligations>

- - ### Field Summary

    - ### Fields inherited from class owl.translations.ltl2ldba.AbstractAcceptingComponentBuilder

      `anchors, factories, factory`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DegeneralizedAcceptingComponentBuilder​(Factories factories, Set<LTL2LDBAFunction.Configuration> optimisations)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `MutableAutomaton<DegeneralizedBreakpointFreeState,BuchiAcceptance>` | `build()` |
    `protected DegeneralizedBreakpointFreeState` | `createState​(EquivalenceClass remainder, FGObligations obligations)` |
    `BitSet` | `getSensitiveAlphabet​(DegeneralizedBreakpointFreeState state)` |
    `Edge<DegeneralizedBreakpointFreeState>` | `getSuccessor​(DegeneralizedBreakpointFreeState state, BitSet valuation)` |

    - ### Methods inherited from class owl.translations.ltl2ldba.AbstractAcceptingComponentBuilder

      `add`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DegeneralizedAcceptingComponentBuilder

          public DegeneralizedAcceptingComponentBuilder​(Factories factories,
                                                        Set<LTL2LDBAFunction.Configuration> optimisations)

  - ### Method Detail

    - #### build

          public MutableAutomaton<DegeneralizedBreakpointFreeState,BuchiAcceptance> build()

    - #### createState

          @Nullable
          protected DegeneralizedBreakpointFreeState createState​(EquivalenceClass remainder,
                                                                 FGObligations obligations)

      Specified by:
        `createState` in class `AbstractAcceptingComponentBuilder<DegeneralizedBreakpointFreeState,BuchiAcceptance,FGObligations>`

    - #### getSensitiveAlphabet

          @Nonnull
          public BitSet getSensitiveAlphabet​(DegeneralizedBreakpointFreeState state)

    - #### getSuccessor

          @Nullable
          public Edge<DegeneralizedBreakpointFreeState> getSuccessor​(DegeneralizedBreakpointFreeState state,
                                                                     BitSet valuation)